<?php
$filtros = '';
$fill_paginador = "&fil=".$_GET["fil"];
if($_GET["fil"] == 1){ $filtros = " AND acepto = '' "; }
if($_GET["fil"] == 2){ $filtros = " AND acepto = 'on' AND origen = 1 "; }
if($_GET["fil"] == 3){ $filtros = " AND origen = 2 "; }
?>


<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-check"></i> ASISTENTES</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>


<?php
$queryEstadisticas = mysqli_query($connect,"SELECT id FROM Asistentes WHERE id > 0 ".$filtros." ");
$limite = 500;
$posicion = $_GET["pos"];
if($posicion == ""){
	$posicion = 1;
}

$inicia = ($posicion-1)*$limite;
if($posicion == 1){$inicia = $posicion;}

$can_pag = ceil($queryEstadisticas->num_rows / $limite );

$anterior = $_GET["pos"]-1;
if($_GET["pos"] == 1){ $anterior = $_GET["pos"]; }

$siguiente = $_GET["pos"]+1;
if($siguiente > $can_pag ){ $siguiente = $_GET["pos"]; }

$queryEquipos = mysqli_query($connect,"SELECT equipo, COUNT(id) FROM Asistentes GROUP BY equipo ");
while($dataEquipos = mysqli_fetch_array($queryEquipos)){
    echo $dataEquipos["equipo"]." - ".$dataEquipos["COUNT(id)"]."<hr>";
}
    


?>

<nav aria-label="Page navigation example">
  <ul class="pagination">
    <li class="page-item"><a class="page-link" href="?pg=asistentes&pos=<?php echo $anterior.$fill_paginador; ?>">Anterior</a></li>
    <?php
		for ($i = 1; $i <= $can_pag; $i++) {
			if ($i == $posicion) {
				echo '<li class="page-item active"><a class="page-link" href="">'.$i.'</a></li>';
			}
			else{
				echo '<li class="page-item"><a class="page-link" href="?pg=asistentes&pos='.$i.$filtro_pag.$fill_paginador.'">'.$i.'</a></li>';
			}
		}
	?>
    <li class="page-item"><a class="page-link" href="?pg=asistentes&pos=<?php echo $siguiente.$fill_paginador; ?>">Siguiente</a></li>
  </ul>
</nav>


<div class="table-responsive">
	<table class="table table-bordered table-sm">
		<thead class="thead-dark">
		<tr>
			<th scope="col">#</th>
			<th scope="col">Nombre</th>
			<th scope="col">País</th>
			<th scope="col">Documento</th>
			<th scope="col">Equipo</th>
		</tr>
		</thead>

		<tbody id="tabla_lista">
		<?php
			$count = 1;
			if($inicia > 1){ $count = ($posicion-1)*$limite; }
			$query = mysqli_query($connect,"SELECT * FROM Asistentes WHERE id > 0 ".$filtros." ORDER BY id ASC LIMIT ".($inicia-1)." , ".$limite." ");
			while($data = mysqli_fetch_array($query)){
                
                $txt_pais = '';
                foreach($Lista_pais as $pais){
                    if($pais[0] == $data["pais"] ){
                        $txt_pais = $pais[1];
                    }
                }

                $txt_especialidad = '';
                foreach($Lista_Especialidad as $pais){
                     if($pais[0] == $data["especialidad"] ){
                         $txt_especialidad = '<option value="'.$pais[0].'" selected>'.$pais[1].'</option>';
                     }                         
                }
                
				echo '
				<tr>
					<td scope="row">'.$count.'</td>
					<td>'.$data["nombre"].' '.$data["apellidos"].'</td>
					<td>'.$data["pais"].'</td>
					<td>'.$data["cedula"].'</td>
					<td>'.$data["equipo"].'</td>
				</tr>
				';
				$count++;

			}
		?>
		</tbody>
	</table>
</div>

<script>
$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});
</script>

<script src="js/functions.js"></script>